VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form TCPClient 
   Caption         =   "TCP Simple Client"
   ClientHeight    =   4155
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5610
   LinkTopic       =   "Form1"
   ScaleHeight     =   4155
   ScaleWidth      =   5610
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox tbReceiveData 
      Height          =   1815
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Beides
      TabIndex        =   10
      Top             =   1800
      Width           =   4215
   End
   Begin VB.TextBox tbSendData 
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1080
      Width           =   4215
   End
   Begin VB.CommandButton cbSendData 
      Caption         =   "Send"
      Enabled         =   0   'False
      Height          =   375
      Left            =   4440
      TabIndex        =   4
      Top             =   1080
      Width           =   1095
   End
   Begin MSWinsockLib.Winsock Winsock1 
      Left            =   5040
      Top             =   3120
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.Timer Timer1 
      Interval        =   500
      Left            =   4440
      Top             =   3120
   End
   Begin VB.CommandButton cbDisconnect 
      Caption         =   "Disconnect"
      Enabled         =   0   'False
      Height          =   375
      Left            =   4440
      TabIndex        =   5
      Top             =   3720
      Width           =   1095
   End
   Begin VB.CommandButton cbConnect 
      Caption         =   "Connect"
      Height          =   375
      Left            =   4440
      TabIndex        =   2
      Top             =   360
      Width           =   1095
   End
   Begin VB.TextBox tbRemotePort 
      Height          =   405
      Left            =   3000
      TabIndex        =   1
      Top             =   360
      Width           =   1335
   End
   Begin VB.TextBox tbRemoteIP 
      Height          =   405
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   2775
   End
   Begin VB.Label Label3 
      Caption         =   "Send Data"
      Height          =   255
      Left            =   120
      TabIndex        =   11
      Top             =   840
      Width           =   1695
   End
   Begin VB.Label lbStatus 
      BackColor       =   &H00E0E0E0&
      Caption         =   "no Connection"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   3840
      Width           =   4215
   End
   Begin VB.Label Label4 
      Caption         =   "Receive Data"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   1560
      Width           =   2055
   End
   Begin VB.Label Label2 
      Caption         =   "Remote-Port"
      Height          =   255
      Left            =   3000
      TabIndex        =   7
      Top             =   120
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "Remote-IP"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "TCPClient"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cbConnect_Click()
  If (tbRemotePort.Text <> "") And (tbRemoteIP.Text <> "") Then
    Winsock1.RemotePort = tbRemotePort.Text
    Winsock1.RemoteHost = tbRemoteIP.Text
    Winsock1.Connect
  End If
End Sub

Private Sub cbDisconnect_Click()
  Winsock1.Close
  Winsock1.LocalPort = 0
  cbConnect.Enabled = True
  cbConnect.SetFocus
End Sub

Private Sub cbSendData_Click()
  Winsock1.SendData (tbSendData.Text)
  tbSendData.Text = ""
End Sub

Private Sub Timer1_Timer()
  Select Case Winsock1.State
    Case ckClosed
      lbStatus.Caption = "no Connection"
    Case sckResolvingHost
      lbStatus.Caption = "waiting for DNS"
    Case sckHostResolved
      lbStatus.Caption = "get IP from DNS"
    Case sckConnecting
      lbStatus.Caption = "connecting"
    Case sckConnected
      lbStatus.Caption = "Connection to " + Winsock1.RemoteHost
    Case sckClosing
      lbStatus.Caption = "closing Connection"
    Case sckError
      lbStatus.Caption = "Connection Error"
      Winsock1.Close
    End Select
    If Winsock1.State <> sckConnected Then
      cbSendData.Enabled = False
      cbDisconnect.Enabled = False
      cbConnect.Enabled = True
    Else
      cbSendData.Enabled = True
      cbDisconnect.Enabled = True
      cbConnect.Enabled = False
    End If
End Sub

Private Sub Winsock1_Close()
  Winsock1.Close
  Winsock1.LocalPort = 0
  cbConnect.Enabled = True
  cbDisconnect.Enabled = False
  cbSendData.Enabled = False
  lbStatus.Caption = "no Connection"
  cbConnect.SetFocus
End Sub

Private Sub Winsock1_Connect()
  cbDisconnect.Enabled = True
  cbConnect.Enabled = False
  tbReceiveData.Text = ""
  lbStatus.Caption = "connected to " + Winsock1.RemoteHost
End Sub

Private Sub Winsock1_DataArrival(ByVal bytesTotal As Long)
  Dim ReceiveData As String
  Winsock1.GetData ReceiveData
  tbReceiveData.Text = tbReceiveData.Text + ReceiveData
End Sub

Private Sub Winsock1_Error(ByVal Number As Integer, Description As String, ByVal Scode As Long, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, CancelDisplay As Boolean)
  Winsock1.Close
  Winsock1.LocalPort = 0
  dummy = MsgBox("Connection Error", vbOKOnly, "TCP simple Client")
End Sub
